# mysqli::init

# mysqli_init

(PHP 5, PHP 7)

mysqli::init -- mysqli_init — Initializes MySQLi and returns a resource for use with mysqli_real_connect()

### Description

Object oriented style

mysqli::init ( void ) : mysqli

Procedural style

mysqli_init ( void ) : mysqli

Allocates or initializes a MYSQL object suitable for mysqli_options() and mysqli_real_connect().

> Note:

> Any subsequent calls to any mysqli function (except mysqli_options()) will fail until mysqli_real_connect() was called.

### Return Values

Returns an object.

### Examples

See mysqli_real_connect().

### See Also

- mysqli_options() - Set options
- mysqli_close() - Closes a previously opened database connection
- mysqli_real_connect() - Opens a connection to a mysql server
- mysqli_connect() - Alias of mysqli::__construct